# rhn_channel – Adds or removes Red Hat software channels

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Adds or removes Red Hat software channels.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name of the software channel.
password - / required |  | RHN/Satellite password.
state - | Default: "present" | Whether the channel should be present or not, taking action if the state is different from what is stated.
sysname - / required |  | Name of the system as it is known in RHN/Satellite.
url - / required |  | The full URL to the RHN/Satellite API.
user - / required |  | RHN/Satellite login.

## Notes

Note

- This module fetches the system id from RHN.

- This module doesn’t support check_mode.

## Examples

    - rhn_channel:
        name: rhel-x86_64-server-v2vwin-6
        sysname: server01
        url: https://rhn.redhat.com/rpc/api
        user: rhnuser
        password: guessme
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Vincent Van der Kussen (@vincentvdk)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.